summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <mthode@mthode.org>2015-09-03 16:56:42 -0500
committerMatthew Thode <mthode@mthode.org>2015-09-03 17:00:30 -0500
commit37b98f859821ea5b9171e9dc078da20ecf262b6c (patch)
tree65a03ae09eb14b3e462040bdcb255f3cc5e721fa /dev-python/oslo-messaging
parentdev-python/oslo-service: adding for liberty (diff)
downloadgentoo-37b98f859821ea5b9171e9dc078da20ecf262b6c.tar.gz
gentoo-37b98f859821ea5b9171e9dc078da20ecf262b6c.tar.bz2
gentoo-37b98f859821ea5b9171e9dc078da20ecf262b6c.zip
dev-python/oslo-messaging: bup for liberty v2
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-python/oslo-messaging')
-rw-r--r--dev-python/oslo-messaging/oslo-messaging-2.4.0.ebuild43
1 files changed, 24 insertions, 19 deletions
diff --git a/dev-python/oslo-messaging/oslo-messaging-2.4.0.ebuild b/dev-python/oslo-messaging/oslo-messaging-2.4.0.ebuild
index 0a0b6d9c490..f1332c928a1 100644
--- a/dev-python/oslo-messaging/oslo-messaging-2.4.0.ebuild
+++ b/dev-python/oslo-messaging/oslo-messaging-2.4.0.ebuild
@@ -3,7 +3,7 @@
# $Id$
EAPI=5
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
inherit distutils-r1
@@ -23,18 +23,15 @@ CDEPEND="
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
${CDEPEND}
test? (
- >=dev-python/hacking-0.10[${PYTHON_USEDEP}]
- <dev-python/hacking-0.11[${PYTHON_USEDEP}]
- >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
- >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.2[${PYTHON_USEDEP}]
>=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
>=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
>=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
- >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
- !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.5.1[${PYTHON_USEDEP}]
- dev-python/qpid-python[${PYTHON_USEDEP}]
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ dev-python/qpid-python[$(python_gen_usedep 'python2*')]
>=dev-python/redis-py-2.10.0[${PYTHON_USEDEP}]
>=dev-python/pyzmq-14.3.1[${PYTHON_USEDEP}]
>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
@@ -45,24 +42,32 @@ DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
)"
RDEPEND="
${CDEPEND}
- >=dev-python/oslo-config-1.9.3[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0
- >=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/futurist-0.1.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
>=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-service-0.6.0[${PYTHON_USEDEP}]
>=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- >=dev-python/eventlet-0.16.1[${PYTHON_USEDEP}]
- !~dev-python/eventlet-0.17.0[${PYTHON_USEDEP}]
+ >=dev-python/cachetools-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
>=dev-python/pyyaml-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/kombu-2.5.8[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/futures-2.1.6[${PYTHON_USEDEP}]
+ >=dev-python/py-amqp-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/kombu-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/oslo-middleware-2.4.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-middleware-2.6.0[${PYTHON_USEDEP}]
>=dev-python/aioeventlet-0.4[${PYTHON_USEDEP}]
>=dev-python/trollius-1.0.0[${PYTHON_USEDEP}]
"
-# This time half the doc files are missing; Do you want them?
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
python_test() {
nosetests tests/ || die "test failed under ${EPYTHON}"